PTX(1)

NAME
ptx - permuted index

SYNOPSIS
ptx [ option ] ... [ input [ output ] ]

DESCRIPTION
Ptx generates a permuted index to file input on file output (standard input and output default). It has three phases: the first does the permutation, generating one line for each keyword in an input line. The keyword is rotated to the front. The permuted file is then sorted. Finally, the sorted lines are rotated so the keyword comes at the middle of the page. Ptx produces output in the form:

    .xx "tail" "before keyword" "keyword and after" "head"

where .xx may be an nroff or troff(1) macro for user-defined formatting. The before keyword and keyword and after fields incorporate as much of the line as will fit around the keyword when it is printed at the middle of the page. Tail and head, at least one of which is an empty string "", are wrapped-around pieces small enough to fit in the unused space at the opposite end of the line. When original text must be discarded, `/' marks the spot.

The following options can be applied:

-f  Fold upper and lower case letters for sorting.

-t  Prepare the output for the phototypesetter; the default line length is 100 characters.

-w n
    Use the next argument, n, as the width of the output line. The default line length is 72 characters.

-g n
    Use the next argument, n, as the number of characters to allow for each gap among the four parts of the line as finally printed. The default gap is 3 characters.

-o only
    Use as keywords only the words given in the only file.

-i ignore
    Do not use as keywords any words given in the ignore file. If the -i and -o options are missing, use /usr/lib/eign as the ignore file.

-b break
    Use the characters in the break file to separate words. In any case, tab, newline, and space characters are always used as break characters.

-r  Take any leading nonblank characters of each input line to be a reference identifier (as to a page or chapter) separate from the text of the line. Attach that identifier as a 5th field on each output line.

The index for this manual was generated using ptx.

FILES
/usr/bin/sort
/usr/lib/eign

BUGS
Line length counts do not account for overstriking or proportional spacing.